const arg = process.argv
const config = require('../package.json');
if (arg.length < 3) {
    console.log('usage: fk2 [options] <command> \n');
    console.log("fk2 dev / dev <port>         Use this command to open development environment!\r");
    console.log("fk2 run app.js <i>           Use this command to open Fk2 Nodejs cluster!\n");
    console.log("i: The default parameter is '1'!");
    console.log("port: The default port is '443'!"+'\n');
    console.log('version: '+config.version);
}
if(arg.length >2){
    // 字母转小写
    const comm = arg[2].toLowerCase();
    if(comm=='dev'||comm=='d'){
        // 开发服务器
        require('./dev/dev');
    }else if(comm=='-v'||comm=='-V'||comm=='-version'||comm=='-Version'){
        console.log(config.version);
    }else if(comm=='run'||comm=='go'){
        // 开启nodejs集群
        if(!arg[3]){
            console.log('Not add script!');
        }else{
            require('./run/run');
        }
    }else if(comm=='kill'||comm=='k'){
        if(!arg[3]){
            console.log('Command not found!')
        }else{
            require('./exit/exit');
        }
    }else if(comm=='list'||comm=='ls'){

    }else{
        console.log('Command not found!')
    }
}